Page MenuHomePhabricator

DataModelSerialization: optionally (?!) group statements and snaks.
Closed, DeclinedPublic

Description

Grouping by property ID should be applied to:

  • Statements
  • Qualifiers
  • Reference Snaks

Perhaps grouping should always be applied; in that case, the ungrouped structure should still be accepted as input.

Note: The grouped structure is better for access by property. The an ungrouped list map of statements is better for access by GUID.

https://github.com/wmde/WikibaseDataModelSerialization/issues/50

Related Objects

StatusAssignedTask
Declineddchen
OpenNone
OpenNone
DuplicateNone
OpenNone
ResolvedAbit
OpenNone
DuplicateNone
OpenNone
OpenNone
OpenNone
DuplicateNone
InvalidLydia_Pintscher
OpenNone
OpenNone
OpenNone
OpenNone
StalledNone
ResolvedBene
OpenNone
ResolvedJanZerebecki
OpenNone
OpenNone
Resolvedthiemowmde
OpenNone
DeclinedBene
ResolvedBene
ResolvedBene
ResolvedBene
Resolved Addshore
OpenNone
Declined Addshore
Resolveddaniel
ResolvedBene
DeclinedBene

Event Timeline

Lucie created this task.Dec 16 2014, 1:38 PM
Lucie raised the priority of this task from to Needs Triage.
Lucie updated the task description. (Show Details)
Lucie changed Security from none to None.
Lucie added a subscriber: Lucie.
daniel renamed this task from OPT_GROUP_BY_PROPERTIES to DataModelSerialization: optionally (?!) group statements and snaks..May 12 2015, 1:40 PM
daniel updated the task description. (Show Details)

I am looking at removing the API output in ungrouped lists
https://gerrit.wikimedia.org/r/#/c/225903/
The feature is barely used, in the last 2.5 days it has been used by 1 user for 50 api calls.

I agree that maintaining the ability to deserialize ungrouped lists is important!

Addshore triaged this task as Normal priority.

Deserialization of ungrouped lists will be possible using the DM deserializers as of 1.7.0
https://github.com/wmde/WikibaseDataModelSerialization/pull/157

Addshore closed this task as Declined.Jul 29 2015, 9:35 AM

WontFix, things are now always grouped